# NSPICE v 0.1

#### Licence : [LGPL3](http://www.gnu.org/licenses/lgpl.html)

### About
NSPICE (Nspire Schematic Program Implementing Circuit Emulation) is a circuit builder and simulator program for the TI Nspire CAS, written in lua. The project currently supports circuits built from resistors, voltage sources and current sources.

### Credits
+ Developed by "M4dasOne"
+ GUI Toolkit adapted from [FormulaPro](https://github.com/adriweb/EEPro-for-Nspire):
    + Adrien "Adriweb" Bertrand
    + Jim Bauwens
+ Special thanks to
    + [TI-Planet](ti-planet.org)
    + [inspired-lua](inspired-lua.org)

### Controls
##### Basic
Arrows / Numpad / Mouse :  Move Cursor
+/- :  Zoom
Enter / Left Click : Edit / Place component
Del / Right Click : Delete Component
Ctrl + Del : Clear circuit
s : Solve Circuit
##### Tool Shortcuts
i : Inspector
w : Wire Segment
l : Wire loop
r : Resistor
v : Voltage Source
c : Current Source
g : Ground

### Building
If you want to modify the source code, rebuild the project with:
```
lua build.lua
```
Code will be exported to big.lua.
The contents of big.lua can be converted to .tns file using [Luna](https://github.com/ndless-nspire/Luna) or by inserting a script to the TI Nspire Desktop Software.
